=== debian/changelog ===
debian-edu-config (0.409) unstable; urgency=low

  [ Luk Claes ]
  * Added myself to uploaders.

  [ Petter Reinholdtsen ]
  * Adjust cfengine test for detecting etch, to look for '4.0' and not
    'testing', to match the current version.
  * Change testsuite/bind9-dns to not report missing Internet
    connectivity as an error.
  * Change testsuite/ispell-dict-default to handle locales with UTF-8 or
    other non-ISO-8859-1 charmaps properly.

 -- Luk Claes <luk@debian.org>  Wed, 22 Nov 2006 22:31:59 +0100

debian-edu-config (0.408) unstable; urgency=low

  [ Ronny Aasen ]
  * Add authorative to dhcp configuration
  * reordering cf.ldapclient fixes libnss-ldap
  * Modify cf.ntp to support setting the clock on startup
  * Add /etc/lsb-release with some initial values. This should remove the need
    to preseed ltsp with --dist since lsb-release should function as expected
  * remove cf.popcon from the makefile. since cf.popcon is removed
  * added ltsp plugin in order to configure ltsp pxelinnux to use usplash
  * added nosuid to /tmp in cf.fstab
  * creates /opt/ltsp/i386/etc/ltsp/update-kernels.conf tru cf.ltsp
    this enables usplash in ltsp booting clients

  [ Steffen Joeris ]
  * Include French translation for debconf questions (Closes: #392190)
    Thanks to Guilhelm Panaget
  * Delete apt settings for woody and sarge, to clean up a bit
  * Delete old kdesktoprc for the kiosk profile
  * Make sure that the kiosk profile is installed in a hierachic order
  * Include new desktop icon framework for the debian_edu_pupils
  * Update the package build to honor the new kiosk files
  * Include German translation for debconf questions (Closes: #396383)
    Thanks to Helge Kreutzmann
  * Add special desktop restrictions to the debian_edu_pupils kiosk
    mode
  * Add the first customized kmenu for the debian_edu_pupils kiosk
    profile which is divided into the disciplines

  [ Petter Reinholdtsen]
  * Enable esd sound in KDE for thin client users by adding a new desktop
    profile thin-client for all users with LTSP_CLIENT and ESERVER set
    in the environment.
  * Modify default pam.d/common-auth to use pam_group, to make it easier
    to provide local device access to the user logged into the console.
    Rewrite pam_group config to include more groups and also work on
    tty1-9 logins.  Activate it on thin-client-server installs, as well
    as workstation and standalone installs.

  [ Morten Werner Olsen ]
  * Removing all traces of bind8.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 13:56:08 +0100

debian-edu-config (0.407) unstable; urgency=low

  [ Ronny Aasen ]
  * Modify cf.ldapclient, Altering libnss-ldap default bind policy to soft
  * Added commented volatile sources for etch to cf.apt
  * modify cf.fstab, to delete the dummy freespace logical volume
  * fix the regex matcing /tmp  in cf.fstab
  * updated www.uio.no ip address in testsuite
  * dont run debian-edu-ltsp, we use ltsp-client-builder

  [ Petter Reinholdtsen ]
  * Correct exit code and output handling in update-hostname-from-ip.
  * Drop code to edit /etc/defaults/ntpdate.  It is no longer needed.
  * Moved testing of network settings from debian-edu-install to
    testsuite/network.
  * Add DNS alias sitesummary.intern for the sitesummary collector.

  [ Steffen Joeris ]
  * Include Czech translation for debconf questions (Closes: #391475)
    Thanks to Miroslav Kure

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 13:50:48 +0200

debian-edu-config (0.406) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Use 'tail -n +3' instead of 'tail +3' in ntp test, to avoid warning.
  * Make dash test more robust.
  * Update test to detect missing webmin and report that.
  * Correct syslog UDP activation code to edit /etc/default/syslogd,
    not /etc/default/sysklogd.
  * Fix typo in webmin test script.
  * Modify testsuite/kde to accept execute bit on /etc/kde3/kioslaverc.
    No idea why the file is executable, but we only need to check if it is
    readable for all.
  * Correct testsuite/webcache to not test a non-proxying connection to
    squid.  It does not, and should not, work.
  * Add testsuite/ltsp to detect if the LTSP chroot is installed on
    the thin client server.
  * Modify ntp test to check if /etc/default/ntpdate have syntax errors.
  * Change init.d/update-hostname to use the LSB log functions and to
    not print anything when VERBOSE=no.  Add depends on lsb-base.
  * Removed useless chkconfig line from init.d scripts.

  [ Steffen Joeris ]
  * Mark update-hostname debconf question as internal and fix
    typo at enable-nat question (Closes: #388062)
  * Fix typo in update-hostname debconf question to make sure lintian
    is happy
  * Change hash commenting for /etc/default/ntpdate file, because
    current code breaks configuration for main-server(only), because
    of if-clause
  * Remove mime-types from cf.mime-support which are already merged into
    the mime-support package and write bugreport against mime-support
    for the rest to make sure we can remove cf.mime-support soon

  [ Ronny Aasen ]
  * Added cf.fstab, purpose is to add /tmp as tmpfs in fstab
  * Modify dhcp configuration to look for pxelinux.0 in the correct location
  * ldm fail if Xsession is not executable, edit cf.ltsp to make sure
    /etx/X11/Xsession is +x

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 17:26:20 +0200

debian-edu-config (0.405) unstable; urgency=low

  [ Patrick Winnertz ]
  * Removed obsolete alternative dependency on cfengine, because it
    is going to be removed from debian.

  [ Petter Reinholdtsen ]
  * Rewrite base-config test to no longer report the missing
    dbootstrap_settings as an error.  It is not present on etch.
  * Adjust syslog cfengine rule to enable UDP listening on etch.
  * Adjust webserver test to accept as a success both either apache2
    or apache running.
  * Update debian-edu-ltsp to work with both old and new version of

