=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installmodules
	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
	dh_installinit --init-script open-backdoor
	dh_installinit --init-script boot_xconf
	dh_installinit --init-script enable-nat --no-start
	dh_installinit --init-script update-hostname
	dh_installinit --init-script start-wlan
	dh_installinit --init-script report-reboot -r --no-start
	dh_installchangelogs
	dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	dh_gencontrol
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
