=== debian/changelog ===
debian-edu-config (0.412) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove init.d/loadcpufreq, as the functionality is moved
    to the cpufrequtils package.
  * Add new pam.d/common-auth-debian-edu activated on standalone
    installations to make sure console users is given access to
    local devices.
  * Remove obsolete pam.d files not used since woody.
  * Provide access to the scanner group for users on the console.
    Based on patch to user-setup in Ubuntu.
  * Make default /usr/share/debian-edu-config/fsautoresizetab and
    include it in the package.
  * Change quoting in the dhcpd.conf editing in sbin/ltsp-make-client
    to try to get it working with bash (Related to Skolelinux bug #1060).
  * Install localization-config in ltsp-make-client, and run it after
    the packages are installed, trying to fix skolelinux bug #1127.
  * Make sure all pxe booting clients use the same path to pxelinux.0
    in dhcpd.conf.
  * Remove support for etherboot/non-pxe boot in dhcpd.conf.  Those
    with such network cards will have to add it manually.
  * Make sure the munin server is treated as a munin client when
    collecting information to get the new sitesummary integration
    working out of the box.  Change how munin-client.conf is updated
    to get the cfengine rule working.
  * Drop the fuse group from the list of groups assiged to console users,
    and make it a group assigned to all logged in users on thin clients,
    to make it easier to enable local device access on thin clients.
  * Make sure kderc is updated to enable the special desktop icons
    for the root user and the members of the admins group.
  * Make sure /var/www/index.html.?? files uses relative URLs when possible,
    and use the symbolic www DNS name instead of tjener.
  * Modified squid to access SSL on port 631, and change all links to Cups
    to use https on this port.
  * Change ldap-tools/mkslapdcert to secure the directory where the
    certificate is created before creating the certificate, and make
    the public key available in a separate file to make it easier to
    copy it to the clients.
  * Create init.d script fetch-ldap-cert to download after apache starts
    the LDAP SSL certificate on clients when they boot, unless it already
    is downloaded.
  * Rename ESERVER to the correct ESPEAKER in the desktop-profile trigger
    for thin client sound settings in KDE.  Fixes skolelinux bug #1183.
  * Add fuse to /etc/modules on thin-client-servers, to make sure
    local device access work out of the box when enabled.  Fixes
    skolelinux bug #1184.
  * Enable sound on LTSP thin clients by default, and let those who want
    silent clients disable it by changing to SOUND=N in lts.conf, instead
    of the other way around.
  * Add 000-arch-detection plugin for ltsp-build-client, to install i386
    LTSP chroot on amd64 machines.  Fixes skolelinux bug #1195.
  * Remove obsolete/renamed scripts cfengine-skolelinux, skolelinux-hd-warn,
    skolelinux-restart-services and skolelinux-test-install.  The rename
    was done in 2004, so documentation should be updated by now.
  * Enable local device access on LTSP thin clients by default.
  * Rename cfengine variable de_arch to ltsp_arch, to make it more obvious
    what the variable is used for.  Change its content to i386 on amd64.

  [ Ronny Aasen ]
  * Remove the timeout on nbd-server, it removed the swapfile from the
    client while it's running.
  * Cleanup the slapd config file. Rename from sarge to etch. And
    update the cf script to match. And remove the old woody file from
    the package.
  * Added sambaNextRid to smbadmin's acl. needed in order to join
    machines to the domain.
  * Added ldap-users.pl with dependencies from webmin 1.180, used by
    samba to create machine accounts in ldap.
  * Edited smbaddclient.pl to use the provided ldap-users.pl, and not
    webmin.
  * Added configfile to support the links to debian-edu-doc made from
    the local webpage.
  * Added script to cleanup the ltsp network swapdir daily (Closes
    Skolelinux Bug #1169)
  * Added script nbdquery. shows ports in use by nbd-client on ltsp clients
  * Changed nbdswapd-cleanup to use nbdquery on the ltsp clients, and edited
    cf.ltsp to activate nbdquery on the ltsp clients
  * Add dependency on lsof
  * Added nbdquery to the makefile

  [ Holger Levsen ]
  * Relabeled descriptions to say "all $foo in the institution"
    instead of "...school"

  [ Klaus Ade Johnstad ]
  * Small fix of comments in dhcpd.conf
  * Removed Norwegian comments in dhcpd.conf
  * Removed unneeded stanzas for ltsp-clients

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:17:06 +0100

debian-edu-config (0.411) unstable; urgency=low

  [ Steffen Joeris ]
  * Remove icons from the kiosk desktop for student users which relate
    to uninstalled software (Closes Skolelinux Bug #1140)
  * Remove obsolete kiosk-profile directory as it is now divided into
    individual directories
  * Allow students to run a shell and the kde command execution
  * Include the kiosk mode for root
   - Give root the tjener desktop icon to call the internal webpage
   - Update Makefile and add the tjener.desktop file
   - Update debian-edu-config.postinst to generate additional config
     entry for the root kiosk mode

  [ Petter Reinholdtsen ]
  * Add the fuse group to the list of groups assigned during login, trying to get
    LTSP local device access working out of the box.
  * Avoid hardcoding the IP address on the default apache web page.
  * Avoid hardcoding IP addresses in the nagios config.  This will
    cause problem in case DNS is unavailable, but make it easier to
    change IP subnet.
  * Add pam-foreground as an optional pam session module, to get
    /var/run/console/ populated with information needed by dbus
    to give special privileges to users on the console.
  * Edit /etc/security/group.conf to set up local device access

