=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,17 @@
 	dh_installmodules
 	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
+	# Start it after 91apache
+	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
 	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat --no-start
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
 	dh_installchangelogs
-	dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
+	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
+	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
+	dh_link
 	dh_gencontrol
 	dh_strip
 	dh_compress
